Require Import connectives.
Require Import logic.
Require Import nat.
Parameter divides : nat.nat -> nat.nat -> Prop.
Definition prime : nat.nat -> Prop := fun (n:nat.nat) => connectives.And (nat.lt (nat.S nat.O) n) (forall (m:nat.nat), (divides m n) -> (nat.lt (nat.S nat.O) m) -> logic.eq (nat.nat) m n).
